/* Estilo de segunda sección de la home */
.p-home__duotone {
    .uabb-dual-color-heading {
        h2 {
            span {
                display: inline;
                letter-spacing: var(--letter-spacing);
                font-size: var(--fs-lg);

                &.uabb-after-heading-text {
                    text-underline-offset: 5px;
                    transition: var(--transition);

                    &:has(> a:hover) {
                        text-decoration-color: var(--secondary);
                    }

                    a {
                        color: var(--black);

                        &:hover {
                            color: var(--secondary);
                        }
                    }

                }
            }
        }
    }
}

/* Estilo de tercera sección de la home */
.p-home__proceso {
    .x-infobox-home {
        .uabb-infobox-title-prefix {
            font-size: 14px;
            text-transform: uppercase;
            color: var(--secondary);
            background: #F3EFE4;
            border-radius: 60px;
            padding: 10px 20px;
            width: fit-content;
            margin-bottom: 20px;
        }

        .uabb-infobox-title {
            font-size: var(--fs-lg);
        }
    }

    &>.fl-module-box {
        transition: var(--transition);

        &:first-child {
            @media (min-width: 600px) {
                rotate: -5deg;
                top: 50px;
            }
            rotate: -2deg;
            position: relative;

            &:hover {
                rotate: 0deg;
                top: 0;
            }
        }

        &:not(:first-child, :last-child) {
            &:hover {
                transform: translateY(-5px);
            }

        }

        &:last-child {
            @media (min-width: 600px) {
                rotate: 5deg;
                top: 50px;
            }
            rotate: 2deg;
            position: relative;

            &:hover {
                rotate: 0deg;
                top: 0;
            }
        }
    }
}

/* Estilo del slider antes/después */
.p-home__before-after {
    width: 100%;

    * {
        width: 100%;
        
        &:not(.twentytwenty-handle, .twentytwenty-handle *) {
            height: 100%!important;
        }
    }

    img {
        object-fit: cover;
    }
}

/* Estilo de los info boxes de la home */
.p-home__infobox {
    .uabb-infobox-title {
        font-size: var(--fs-sm);
        font-weight: var(--font-weight-title);
        letter-spacing: var(--letter-spacing);
        line-height: var(--base-line-height);
        margin-bottom: 10px;
    }

    .uabb-infobox-text {
        font-size: var(--fs-xxs);
        line-height: 1.4;
    }
}

/* Estilo de la galería */
.p-home__gallery-home {
    .uabb-photo-gallery {
        @media (min-width: 600px) {
            display: flex;
            align-items: flex-end;
        }
    }
}